CPlane make it "stay Active"

Adding text to my new constructed cplane works
When I’m trying to rotate the text is using the world coordinates
Is it the ViewCPlane I should use to fix it, and How do I set it up correctly ?

import rhinoscriptsyntax as rs

surface1 = rs.GetObject("Select surface 1", rs.filter.surface | rs.filter.polysurface)

Border1 = rs.DuplicateSurfaceBorder( surface1 )

rs.HideObject(surface1)

bbox = surface1

msurface = rs.SurfaceAreaCentroid(surface1)
point = []
LL = rs.ExplodeCurves(Border1)
for i in LL:
    po = rs.CurveMidPoint(i)
    point.append(po)
newplane = rs.PlaneFromPoints(msurface[0], point[1], point[3])
tx = rs.AddText("22", newplane,height=50,justification=2 
)
#rs.ViewCPlane(newplane)#???
p = 0,0,0
rs.RotateObject(tx, p, 45.0, None, copy=True)

OK so i figured it out… :wink:

view = rs.CurrentView(view=None, return_name=False)
rs.ViewCPlane(view,newplane)
...
...
rs.ViewCPlane(view,rs.WorldXYPlane())

Is there a way to do it without updating the viewport ? I mean Is it possible to do without showing in the viewport that the construction plane is changing ?

I am looking for the same thing to freeze viewport, and hide Cplane when it is changing in the script steps.